Partː Tubo

From FreeCAD Documentation
Revision as of 14:04, 8 January 2022 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Part Tube

Menu location
Part → Primitives → Create tube
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part CreatePrimitives

Description

The Tube command inserts a tube into the active document. The tube is geometrically treated as a cut of a smaller cylinder into a larger one. By default, the command will insert a 10 mm high tube with an outer radius of 5 mm and an inner radius of 2 mm. These parameters can be modified after the object has been added.

Screenshot of a Tube

Usage

To create a tube either:

  • press the Tube button in the toolbar
  • use the menu Part → Primitives → Create tube

To edit the tube:

  • either
    • select it in the tree and double-click on it
    • edit the parameters in the appearing dialog
  • or use the the property editor to edit the parameters

Properties

  • Via the Property Editor:
    • DatiPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • DatiLabel: The Label is the name given to the operation. This name can be changed at your convenience.
    • DatiHeight: Sets the height (default is 10 mm).
    • DatiInner Radius: Set the inner radius (default is 2 mm).
    • DatiOuter Radius: Set the outer radius (default is 5 mm).

Scripting

A Part Tube can be created using the following function:

tube = FreeCAD.ActiveDocument.addObject("Part::Tube", "myTube")
  • Where "myTube" is the name for the object.
  • The function returns the newly created object.